Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Anchor

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.components.Anchor

    public class Anchor

extends ClosingUIBean

A tag that creates a HTML <a >.This tag supports the same attributes as the "url" tag, including nested parameters using the "param" tag.

Examples

     <s:a id="link1" theme="ajax" href="/DoIt.action">
         <img border="none" src="<%=request.getContextPath()%>/images/delete.gif"/>
         <s:param name="id" value="1"/>
     </s:a>

Field Summary
`static java.lang.String` | `COMPONENT_NAME`
`protected java.lang.String` | `href`
`static java.lang.String` | `OPEN_TEMPLATE`
`protected boolean` | `processingTagBody`
`static java.lang.String` | `TEMPLATE`
`protected java.util.Map` | `urlParameters`
`protected UrlProvider` | `urlProvider`
`protected UrlRenderer` | `urlRenderer`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, parameters, stack, throwExceptionOnELFailure`

Constructor Summary
`Anchor(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addAllParameters(java.util.Map params)` Adds all the given parameters to this component's own parameters.
`void` | `addParameter(java.lang.String key, java.lang.Object value)` Adds the given key and value to this component's own parameter.
`boolean` | `end(java.io.Writer writer, java.lang.String body)` Overrides to be able to render body in a template rather than always before the template
`protected void` | `evaluateExtraParams()`
`java.lang.String` | `getDefaultOpenTemplate()`
`protected java.lang.String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`UrlProvider` | `getUrlProvider()`
`void` | `setAction(java.lang.String action)`
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setEncode(boolean encode)`
`void` | `setEscapeAmp(boolean escapeAmp)`
`void` | `setExtraParameterProvider(ExtraParameterProvider provider)`
`void` | `setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)`
`void` | `setHref(java.lang.String href)`
`void` | `setIncludeContext(boolean includeContext)`
`void` | `setIncludeParams(java.lang.String includeParams)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPortletMode(java.lang.String portletMode)`
`void` | `setPortletUrlType(java.lang.String portletUrlType)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setUrlIncludeParams(java.lang.String urlIncludeParams)`
`void` | `setUrlRenderer(UrlRenderer urlRenderer)`
`void` | `setValue(java.lang.String value)`
`void` | `setWindowState(java.lang.String windowState)`
`boolean` | `start(java.io.Writer writer)` Callback for the start tag of this component.
`boolean` | `usesBody()` Overwrite to set if body shold be used.

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`setOpenTemplate`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath`

Methods inherited from class org.apache.struts2.components.Component
`altSyntax, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, popComponentStack, setActionMapper, setThrowExceptionsOnELFailure, stripExpressionIfAltSyntax, stripExpressionIfAltSyntax, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_TEMPLATE

    public static final java.lang.String OPEN_TEMPLATE

See Also:
  Constant Field Values

### TEMPLATE

    public static final java.lang.String TEMPLATE

See Also:
  Constant Field Values

### COMPONENT_NAME

    public static final java.lang.String COMPONENT_NAME

### href

    protected java.lang.String href

### urlProvider

    protected UrlProvider urlProvider

### urlRenderer

    protected UrlRenderer urlRenderer

### processingTagBody

    protected boolean processingTagBody

### urlParameters

    protected java.util.Map urlParameters

Constructor Detail

### Anchor

    public Anchor(ValueStack stack,
                  javax.servlet.http.HttpServletRequest request,
                  javax.servlet.http.HttpServletResponse response)

Method Detail

### getDefaultOpenTemplate

    public java.lang.String getDefaultOpenTemplate()

  Specified by:
    `getDefaultOpenTemplate` in class `ClosingUIBean`

### getDefaultTemplate

    protected java.lang.String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Specified by:
    `getDefaultTemplate` in class `UIBean`
  Returns:
    The name of the template to be used as the default.

### usesBody

    public boolean usesBody()

  Description copied from class: `Component`
  Overwrite to set if body shold be used.

  Overrides:
    `usesBody` in class `Component`
  Returns:
    always false for this component.

### evaluateExtraParams

    protected void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### setUrlIncludeParams

    public void setUrlIncludeParams(java.lang.String urlIncludeParams)

### setUrlRenderer

    public void setUrlRenderer(UrlRenderer urlRenderer)

### setExtraParameterProvider

    public void setExtraParameterProvider(ExtraParameterProvider provider)

### start

    public boolean start(java.io.Writer writer)

  Description copied from class: `Component`
  Callback for the start tag of this component. Should the body be evaluated?

  Overrides:
    `start` in class `ClosingUIBean`
  Parameters:
    `writer` - the output writer.
  Returns:
    true if the body should be evaluated

### end

    public boolean end(java.io.Writer writer,
                       java.lang.String body)

  Overrides to be able to render body in a template rather than always before the template

  Overrides:
    `end` in class `UIBean`
  Parameters:
    `writer` - the output writer.
    `body` - the rendered body.
  Returns:
    true if the body should be evaluated again

### addParameter

    public void addParameter(java.lang.String key,
                             java.lang.Object value)

  Description copied from class: `Component`
  Adds the given key and value to this component's own parameter.

  If the provided key is `null` nothing happens. If the provided value is `null` any existing parameter with the given key name is removed.

  Overrides:
    `addParameter` in class `Component`
  Parameters:
    `key` - the key of the new parameter to add.
    `value` - the value assoicated with the key.

### addAllParameters

    public void addAllParameters(java.util.Map params)

  Description copied from class: `Component`
  Adds all the given parameters to this component's own parameters.

  Overrides:
    `addAllParameters` in class `Component`
  Parameters:
    `params` - the parameters to add.

### getUrlProvider

    public UrlProvider getUrlProvider()

### setHref

    public void setHref(java.lang.String href)

### setIncludeParams

    public void setIncludeParams(java.lang.String includeParams)

### setScheme

    public void setScheme(java.lang.String scheme)

### setValue

    public void setValue(java.lang.String value)

  Overrides:
    `setValue` in class `UIBean`

### setAction

    public void setAction(java.lang.String action)

### setNamespace

    public void setNamespace(java.lang.String namespace)

### setMethod

    public void setMethod(java.lang.String method)

### setEncode

    public void setEncode(boolean encode)

### setIncludeContext

    public void setIncludeContext(boolean includeContext)

### setPortletMode

    public void setPortletMode(java.lang.String portletMode)

### setWindowState

    public void setWindowState(java.lang.String windowState)

### setPortletUrlType

    public void setPortletUrlType(java.lang.String portletUrlType)

### setAnchor

    public void setAnchor(java.lang.String anchor)

### setEscapeAmp

    public void setEscapeAmp(boolean escapeAmp)

### setForceAddSchemeHostAndPort

    public void setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.